MCP Gateway
ApiMcp servers

Sync server tools

Sync tools from an MCP server. Fetches current tools for remote servers, re-discovers tools for NPX/UVX/Container servers, and returns a diff of changes.

POST
/api/v1/servers/{server_id}/sync

Path Parameters

server_id*string
Formatuuid

Query Parameters

generate_embeddings?boolean

Generate embeddings for tools (requires an active embedding provider)

Defaulttrue

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/sync"
{
  "added": [
    "string"
  ],
  "removed": [
    "string"
  ],
  "modified": [
    "string"
  ],
  "total_tools": 0,
  "sync_hash": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}